Upstream information

CVE-2016-2370 at MITRE

Description

A denial of service vulnerability exists in the handling of the MXIT protocol in Pidgin. Specially crafted MXIT data sent from the server could potentially result in an out-of-bounds read. A malicious server or man-in-the-middle attacker can send invalid data to trigger this vulnerability.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.30 4.30
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 5.9
Vector AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
SUSE Bugzilla entries: 984655 [CONFIRMED], 991712 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Software Development Kit 11 SP4
  • finch >= 2.6.6-0.29.1
  • finch-devel >= 2.6.6-0.29.1
  • libpurple >= 2.6.6-0.29.1
  • libpurple-devel >= 2.6.6-0.29.1
  • libpurple-lang >= 2.6.6-0.29.1
  • pidgin >= 2.6.6-0.29.1
  • pidgin-devel >= 2.6.6-0.29.1
Patchnames:
sdksp4-pidgin-12767


List of planned updates

The following information is the current evaluation information for this security issue. It might neither be accurate nor complete, Use at own risk.
Product(s) Source package
  • SUSE Linux Enterprise Desktop 12 GA
  • SUSE Linux Enterprise SDK 11 SP4
  • SUSE Linux Enterprise SDK 12 GA
  • SUSE Linux Enterprise Workstation Extension 12 GA
pidgin
  • SUSE Linux Enterprise Desktop 12 GA
  • SUSE Linux Enterprise SDK 12 GA
  • SUSE Linux Enterprise Workstation Extension 12 GA
pidgin